import logging


def configure_logger(level=logging.INFO) -> None:
    """Configure the logger output string.

    :param level: Logging level
    :type level: int | logging.level INFO, WARNING, ERROR, CRITICAL, DEBUG
    """

    logging.basicConfig(
        level=level,
        datefmt="%Y-%m-%d %H:%M:%S",
        format="[%(asctime)s.%(msecs)03d] %(module)10s:%(lineno)-3d %(levelname)-7s - %(message)s",
    )
