from fastfood_two.application.abstractions.interactor import Interactor
from fastfood_two.application.contracts.requests import DeleteMenuDTO
from fastfood_two.domain.menu.gateway import MenuGateway
from fastfood_two.domain.menu.menu_entity import MenuId


class DeleteMenu(Interactor[DeleteMenuDTO, None]):
    def __init__(self, gateway: MenuGateway) -> None:
        self._menu_gateway = gateway

    async def __call__(self, request: DeleteMenuDTO) -> None:

        await self._menu_gateway.delete_menu(
            id=MenuId(request.id),
        )
