from fastfood_two.application.abstractions.interactor import Interactor
from fastfood_two.application.contracts.responses import MenuDTO
from fastfood_two.domain.menu.gateway import MenuGateway


class GetAllMenus(Interactor[None, list[MenuDTO]]):
    def __init__(self, gateway: MenuGateway) -> None:
        self._menu_gateway = gateway

    async def __call__(self, request=None) -> list[MenuDTO]:
        menus = await self._menu_gateway.get_all_menus()
        return [
            MenuDTO(
                id=menu.id.value,
                title=menu.title.value,
                description=menu.description.value,
            )
            for menu in menus
        ]
