from typing import Protocol

from fastfood_two.domain.menu.menu_entity import Description, Menu, MenuId, Title


class MenuGateway(Protocol):
    async def get_menu_by_id(self, id: MenuId) -> Menu | None:
        raise NotImplementedError

    async def insert_menu(self, menu: Menu) -> Menu:
        raise NotImplementedError

    async def get_all_menus(self) -> list[Menu]:
        raise NotImplementedError

    async def update_menu(
        self,
        id: MenuId,
        title: Title | None,
        description: Description | None,
    ) -> Menu:
        raise NotImplementedError

    async def delete_menu(self, id: MenuId) -> None:
        raise NotImplementedError
