from typing import Protocol

from fastfood_two.domain.submenu.submenu_entity import (
    Description,
    SubMenu,
    SubMenuId,
    Title,
)


class SubMenuGateway(Protocol):
    async def get_submenu_by_id(self, id: SubMenuId) -> SubMenu | None:
        raise NotImplementedError

    async def insert_submenu(self, menu: SubMenu) -> SubMenu:
        raise NotImplementedError

    async def get_all_submenus_by_menu_id(self) -> list[SubMenu]:
        raise NotImplementedError

    async def update_submenu(
        self,
        id: SubMenuId,
        title: Title | None,
        description: Description | None,
    ) -> SubMenu:
        raise NotImplementedError

    async def delete_submenu(self, id: SubMenuId) -> None:
        raise NotImplementedError
