import os
from functools import lru_cache

from fastfood_two.application.config import Config
from fastfood_two.infrastructure.pg_storage.config import PostgresConfig


@lru_cache()
def get_settings() -> Config:
    """Возвращает настройки приложения"""
    return Config(
        db=PostgresConfig(
            user=os.getenv("DB_USER", "test_user"),
            password=os.getenv("DB_PASS", "test_password"),
            host=os.getenv("DB_HOST", "localhost"),
            port=int(os.getenv("DB_PORT", 5432)),
            dbname=os.getenv("DB_NAME", "test_db"),
        ),
    )
