from fastapi import Request
from fastapi.responses import JSONResponse

from fastfood_two.domain.menu.error import MenuDataValidationError, MenuNotFoundError


async def handle_menu_not_found_error(request: Request, error: MenuNotFoundError) -> JSONResponse:
    return JSONResponse(status_code=404, content={"message": error.message})


async def handle_menu_data_validation_error(request: Request, error: MenuDataValidationError) -> JSONResponse:
    return JSONResponse(status_code=422, content={"message": error.message})
