from typing import Annotated

from fastapi import Depends
from sqlalchemy.ext.asyncio import AsyncSession

from fastfood_two.domain.menu.gateway import MenuGateway
from fastfood_two.infrastructure.menu_gateway import MenuGatewayImpl
from fastfood_two.presentation.fastapi_backend.depends.stub import Stub


def get_menu_gateway(session: Annotated[AsyncSession, Depends(Stub(AsyncSession))]) -> MenuGateway:
    return MenuGatewayImpl(session=session)
