from typing import Annotated

from fastapi import Depends

from fastfood_two.application.usecases.menu.add_menu import AddMenu
from fastfood_two.application.usecases.menu.delete_menu import DeleteMenu
from fastfood_two.application.usecases.menu.get_all_menus import GetAllMenus
from fastfood_two.application.usecases.menu.get_menu_by_id import GetMenuById
from fastfood_two.application.usecases.menu.update_menu import UpdateMenu
from fastfood_two.domain.menu.gateway import MenuGateway
from fastfood_two.presentation.fastapi_backend.depends.stub import Stub


def get_all_menus_usecase(gateway: Annotated[MenuGateway, Depends(Stub(MenuGateway))]) -> GetAllMenus:
    return GetAllMenus(gateway=gateway)


def add_menu_usecase(gateway: Annotated[MenuGateway, Depends(Stub(MenuGateway))]) -> AddMenu:
    return AddMenu(gateway=gateway)


def update_menu_usecase(gateway: Annotated[MenuGateway, Depends(Stub(MenuGateway))]) -> UpdateMenu:
    return UpdateMenu(gateway=gateway)


def delete_menu_usecase(gateway: Annotated[MenuGateway, Depends(Stub(MenuGateway))]) -> DeleteMenu:
    return DeleteMenu(gateway=gateway)


def get_menu_by_id_usecase(gateway: Annotated[MenuGateway, Depends(Stub(MenuGateway))]) -> GetMenuById:
    return GetMenuById(gateway=gateway)
