from fastapi import FastAPI

from fastfood_two.domain.menu.error import MenuDataValidationError, MenuNotFoundError
from fastfood_two.presentation.fastapi_backend.depends.errors import (
    handle_menu_data_validation_error,
    handle_menu_not_found_error,
)


def init_errorhandlers(app: FastAPI) -> None:
    """Initialize FastAPI error handlers.

    :param app: FastAPI application
    :type app: FastAPI
    """
    app.add_exception_handler(MenuNotFoundError, handle_menu_not_found_error)
    app.add_exception_handler(MenuDataValidationError, handle_menu_data_validation_error)
