from fastapi import APIRouter, FastAPI

from fastfood_two.presentation.fastapi_backend.routers.dish import router as dish_router
from fastfood_two.presentation.fastapi_backend.routers.menu import router as menu_router
from fastfood_two.presentation.fastapi_backend.routers.submenu import (
    router as submenu_router,
)
from fastfood_two.presentation.fastapi_backend.routers.summary import (
    router as summary_router,
)


def init_routers(app: FastAPI) -> None:
    """Initialize FastAPI routers.

    :param app: FastAPI application
    :type app: FastAPI
    """
    base_router = APIRouter(
        prefix="/api/v1",
    )

    base_router.include_router(menu_router)
    base_router.include_router(submenu_router)
    base_router.include_router(dish_router)
    base_router.include_router(summary_router)

    app.include_router(base_router)
